Page MenuHomePhabricator

Error saving translation: Unknown error: "TPT-unknown-page"
Closed, InvalidPublic

Description

Hi,
I have a wiki in Spanish . Now I need to translate into Catalan and I have problems.

The wiki is on version 1.26.4 because of the PHP server version. I installed the correct packages of Universal Language Selector and Translate. It's all set up, in the wiki is everything right but when I go to translate, te error appears: Error saving translation: Unknown error: "TPT-unknown-page"

I have seen several pages talking about this error. First about 'dummy edits' and then about job queues.
I try everything, I try to do several dummy edits, I try to run runjobs.php (Server where we host the wiki has a routine cron server running the /maintenance/runjobs.php every 5 minutes) but after two weeks trying, there is no results.

You know what could happen? It's very important for us to translate the wiki into Catalan, but we can't fix this error.

Thanks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2017, 2:04 PM
Nikerabbit added a subscriber: Nikerabbit.

Can you try running php extensions/Translate/scripts/createMessageIndex.php. It sounds like the job that was created when you marked the page for translation failed or got lost.

Nikerabbit closed this task as Invalid.Mar 29 2017, 1:08 PM

I am closing this for a lack of sufficient amount of information to start investigating this.

Tuxxic added a subscriber: Tuxxic.May 2 2017, 11:28 AM

Hi,

I had the same problem, and running the command you gave @Nikerabbit was useful and I managed to get past the tpt-unknown-page error.

Cross-linking my reply in the wiki: https://www.mediawiki.org/w/index.php?title=Topic:Tp48n8pqrvakvug6#flow-post-tprzuha1buolqpfj

Let us know if you find any things that could be actual bugs.

Asankasovis added a subscriber: Asankasovis.EditedMay 22 2017, 11:28 AM

I reduced the number of characters and it worked for me!

Do you mean the characters in the page content, or in the page title?

Sounds like the instructions in T159947#3084311 worked for two people (no reply from @raulpresseguer), hence should this task be declined?

Ah. Already closed. Sorry!